#include "defines.h"
#include "oscrn.h"

int SCcls(unchar *work)
/* オフスクリーン：クリア */
{
SC_BUFF *scwork;
int size;
	if (SCcheck(work)) return(SCERR1);
	scwork=(SC_BUFF *)work;
	scwork->x=0;
	scwork->y=0;
	scwork->kanji1=0;
	work+=sizeof(SC_BUFF);
	size=scwork->wx*scwork->wy;
	do {
		*work++=' ';
		*work++=scwork->col;
	} while (--size);
	return(SCOK);
}
